// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
form(nz-form, [nzLayout]="'vertical'", [formGroup]="validateForm", (ngSubmit)="submitForm()")
  .ryax-centering
    nz-form-item
      nz-form-label(nzRequired) New password
      nz-form-control(nzHasFeedback, nzErrorTip="Please input your password!")
        input(nz-input type="password", formControlName="password", (ngModelChange)="validateConfirmPassword()")
    nz-form-item
      nz-form-label(nzRequired) Confirm Password
      nz-form-control(nzHasFeedback, [nzErrorTip]="passwordErrorTpl")
        input(nz-input type="password" formControlName="confirm" placeholder="confirm your password")
        ng-template(#passwordErrorTpl let-control)
          ng-container(*ngIf="control.hasError('required')") Please confirm your password!
          ng-container(*ngIf="control.hasError('confirm')") Password is inconsistent!
  .ryax-centering
    button(nz-button, nzType="primary", [disabled]="!validateForm.valid") Save
    button(nz-button, (click)="cancel()") Cancel

